import { Component } from 'react';
import { UploadProps } from 'antd/lib/upload';
import './UploadPicturesCard.less';
interface IOwnProps {
    maxCount?: number;
}
interface IState {
    previewVisible: boolean;
    previewImage: string;
}
declare class UploadPicturesCard extends Component<UploadProps & IOwnProps, IState> {
    constructor(props: any);
    private handlePreview;
    private handleCancel;
    private beforeUpload;
    render(): JSX.Element;
}
export default UploadPicturesCard;
